Update report statuses
curl --request POST \
--url https://staging.api.us.aptlydone.com/report/v1/report/bulk-status-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reportIds": [
"832211de-ea66-4005-b73d-d0e8deff96f2",
"b3dd6f41-4f35-4707-8db5-3a488c597a17"
],
"status": "PUBLISHED",
"operation": "UPDATE"
}
'import requests
url = "https://staging.api.us.aptlydone.com/report/v1/report/bulk-status-update"
payload = {
"reportIds": ["832211de-ea66-4005-b73d-d0e8deff96f2", "b3dd6f41-4f35-4707-8db5-3a488c597a17"],
"status": "PUBLISHED",
"operation": "UPDATE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reportIds: ['832211de-ea66-4005-b73d-d0e8deff96f2', 'b3dd6f41-4f35-4707-8db5-3a488c597a17'],
status: 'PUBLISHED',
operation: 'UPDATE'
})
};
fetch('https://staging.api.us.aptlydone.com/report/v1/report/bulk-status-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:03.221Z",
"message": "Success",
"data": {
"success": true,
"updatedCount": 5,
"failedIds": [
"3699525e-aa89-4171-8685-3e80104fb745",
"2ffc8ce9-6b3a-4d42-a6fe-fe632dfe920f"
]
}
}Reporting
Update report statuses
POST
/
v1
/
report
/
bulk-status-update
Update report statuses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of report IDs to update
Example:
[
"832211de-ea66-4005-b73d-d0e8deff96f2",
"b3dd6f41-4f35-4707-8db5-3a488c597a17"
]
New status value for all selected reports (required for UPDATE operation)
Available options:
PUBLISHED, ARCHIVED, DELETED, DRAFT Example:
"PUBLISHED"
Operation type (update or restore)
Available options:
UPDATE, RESTORE Example:
"UPDATE"
Response
201 - application/json
Report statuses updated successfully
Was this page helpful?
āI